Bug 1811573 - [4.4] Custom healthchecks in ironic-image break deployments with no DHCP
Summary: [4.4] Custom healthchecks in ironic-image break deployments with no DHCP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.0
Assignee: Dmitry Tantsur
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On: 1811567
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-09 09:29 UTC by Dmitry Tantsur
Modified: 2020-05-13 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Healthchecks included in the ironic images did not work correctly without a managed dnsmasq instance (i.e. with external DHCP). They have been removed with a goal to rework them properly in the future.
Clone Of:
Environment:
Last Closed: 2020-05-13 22:00:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 66 0 None closed Bug 1811573: Remove custom healthchecks 2020-06-04 11:52:01 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 22:00:56 UTC

Description Dmitry Tantsur 2020-03-09 09:29:28 UTC
Our dnsmasq templates allow disabling DHCP, but the healthcheck kills the container if nothing is listening on port 67.

Since our approach to healthchecks is not how they should be done anyway, let's remove them and later provide native healthchecks (if needed).

Comment 4 errata-xmlrpc 2020-05-13 22:00:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.